#
# spec file for package perl-Config-INI-Reader-Ordered
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Config-INI-Reader-Ordered
Name:           perl-Config-INI-Reader-Ordered
Version:        0.022
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        .ini-file parser that returns sections in order
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::INI::Reader)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Config::INI::Reader)
%{perl_requires}

%description
Config::INI::Reader::Ordered is a subclass of Config::INI::Reader which
preserves section order. See Config::INI::Reader for all documentation; the
only difference is as presented in the SYNOPSIS.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.022
  see /usr/share/doc/packages/perl-Config-INI-Reader-Ordered/Changes
  0.022     2022-12-31 21:03:43-05:00 America/New_York
    packaging changes only
* Mon Jun 21 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.021
  see /usr/share/doc/packages/perl-Config-INI-Reader-Ordered/Changes
  0.021     2021-06-20 17:18:35-04:00 America/New_York
    add perl-support to docs
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- initial package 0.020
  * created by cpanspec 1.78.09
